GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.glsgroup.ws.parcelshopsearch.ObjectFactory Class Reference

## Public Member Functions
| ObjectFactory ()
GLSWorkingDay | createGLSWorkingDay ()
GetParcelShopByIdResponseType | createGetParcelShopByIdResponseType ()
GetParcelShopByIdRequestType | createGetParcelShopByIdRequestType ()
GetParcelShopByCountryCodeResponseType | createGetParcelShopByCountryCodeResponseType ()
GetParcelShopByCountryCodeRequestType | createGetParcelShopByCountryCodeRequestType ()
GetParcelShopInAreaResponse | createGetParcelShopInAreaResponse ()
GetParcelShopInAreaRequestType | createGetParcelShopInAreaRequestType ()
GetParcelShopReponseType | createGetParcelShopReponseType ()
GetParcelShopRequestType | createGetParcelShopRequestType ()
GLSUserCredentials | createGLSUserCredentials ()
GLSExitCode | createGLSExitCode ()
GLSParcelShop | createGLSParcelShop ()
GLSAddress | createGLSAddress ()
GLSPhonenumber | createGLSPhonenumber ()
GLSCoordinates | createGLSCoordinates ()
Hours | createHours ()
SearchResults | createSearchResults ()
GLSWorkingDay.OpeningHours | createGLSWorkingDayOpeningHours ()
GLSWorkingDay.Breaks | createGLSWorkingDayBreaks ()
JAXBElement< GetParcelShopByIdResponseType > | createGetParcelShopByIdResponse (GetParcelShopByIdResponseType value)
JAXBElement< GetParcelShopByIdRequestType > | createGetParcelShopByIdRequest (GetParcelShopByIdRequestType value)
JAXBElement< GetParcelShopByCountryCodeResponseType > | createGetParcelShopByCountryCodeResponse (GetParcelShopByCountryCodeResponseType value)
JAXBElement< GetParcelShopByCountryCodeRequestType > | createGetParcelShopByCountryCodeRequest (GetParcelShopByCountryCodeRequestType value)
JAXBElement< GetParcelShopInAreaResponse > | createGetParcelShopInAreaResponse (GetParcelShopInAreaResponse value)
JAXBElement< GetParcelShopInAreaRequestType > | createGetParcelShopInAreaRequest (GetParcelShopInAreaRequestType value)
JAXBElement< GetParcelShopReponseType > | createGetParcelShopsResponse (GetParcelShopReponseType value)
JAXBElement< GetParcelShopRequestType > | createGetParcelShopsRequest (GetParcelShopRequestType value)

## Detailed Description

This object contains factory methods for each Java content interface and Java element interface generated in the eu.glsgroup.ws.parcelshopsearch package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Definition at line 25 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## Constructor & Destructor Documentation

## ◆ ObjectFactory()

eu.glsgroup.ws.parcelshopsearch.ObjectFactory.ObjectFactory | ( |  | ) |

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: eu.glsgroup.ws.parcelshopsearch

Definition at line 40 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## Member Function Documentation

## ◆ createGetParcelShopByCountryCodeRequest()

JAXBElement<GetParcelShopByCountryCodeRequestType> eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopByCountryCodeRequest | ( | GetParcelShopByCountryCodeRequestType | value | ) |

Create an instance of JAXBElement

<

GetParcelShopByCountryCodeRequestType

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  GetParcelShopByCountryCodeRequestType
  >

Definition at line 243 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopByCountryCodeRequestType()

GetParcelShopByCountryCodeRequestType eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopByCountryCodeRequestType | ( |  | ) |

Create an instance of GetParcelShopByCountryCodeRequestType

Definition at line 79 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopByCountryCodeResponse()

JAXBElement<GetParcelShopByCountryCodeResponseType> eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopByCountryCodeResponse | ( | GetParcelShopByCountryCodeResponseType | value | ) |

Create an instance of JAXBElement

<

GetParcelShopByCountryCodeResponseType

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  GetParcelShopByCountryCodeResponseType
  >

Definition at line 230 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopByCountryCodeResponseType()

GetParcelShopByCountryCodeResponseType eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopByCountryCodeResponseType | ( |  | ) |

Create an instance of GetParcelShopByCountryCodeResponseType

Definition at line 71 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopByIdRequest()

JAXBElement<GetParcelShopByIdRequestType> eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopByIdRequest | ( | GetParcelShopByIdRequestType | value | ) |

Create an instance of JAXBElement

<

GetParcelShopByIdRequestType

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  GetParcelShopByIdRequestType
  >

Definition at line 217 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopByIdRequestType()

GetParcelShopByIdRequestType eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopByIdRequestType | ( |  | ) |

Create an instance of GetParcelShopByIdRequestType

Definition at line 63 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopByIdResponse()

JAXBElement<GetParcelShopByIdResponseType> eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopByIdResponse | ( | GetParcelShopByIdResponseType | value | ) |

Create an instance of JAXBElement

<

GetParcelShopByIdResponseType

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  GetParcelShopByIdResponseType
  >

Definition at line 204 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopByIdResponseType()

GetParcelShopByIdResponseType eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopByIdResponseType | ( |  | ) |

Create an instance of GetParcelShopByIdResponseType

Definition at line 55 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopInAreaRequest()

JAXBElement<GetParcelShopInAreaRequestType> eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopInAreaRequest | ( | GetParcelShopInAreaRequestType | value | ) |

Create an instance of JAXBElement

<

GetParcelShopInAreaRequestType

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  GetParcelShopInAreaRequestType
  >

Definition at line 269 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopInAreaRequestType()

GetParcelShopInAreaRequestType eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopInAreaRequestType | ( |  | ) |

Create an instance of GetParcelShopInAreaRequestType

Definition at line 95 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopInAreaResponse() [1/2]

GetParcelShopInAreaResponse eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopInAreaResponse | ( |  | ) |

Create an instance of GetParcelShopInAreaResponse

Definition at line 87 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopInAreaResponse() [2/2]

JAXBElement<GetParcelShopInAreaResponse> eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopInAreaResponse | ( | GetParcelShopInAreaResponse | value | ) |

Create an instance of JAXBElement

<

GetParcelShopInAreaResponse

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  GetParcelShopInAreaResponse
  >

Definition at line 256 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopReponseType()

GetParcelShopReponseType eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopReponseType | ( |  | ) |

Create an instance of GetParcelShopReponseType

Definition at line 103 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopRequestType()

GetParcelShopRequestType eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopRequestType | ( |  | ) |

Create an instance of GetParcelShopRequestType

Definition at line 111 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopsRequest()

JAXBElement<GetParcelShopRequestType> eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopsRequest | ( | GetParcelShopRequestType | value | ) |

Create an instance of JAXBElement

<

GetParcelShopRequestType

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  GetParcelShopRequestType
  >

Definition at line 295 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGetParcelShopsResponse()

JAXBElement<GetParcelShopReponseType> eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGetParcelShopsResponse | ( | GetParcelShopReponseType | value | ) |

Create an instance of JAXBElement

<

GetParcelShopReponseType

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  GetParcelShopReponseType
  >

Definition at line 282 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSAddress()

GLSAddress eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSAddress | ( |  | ) |

Create an instance of GLSAddress

Definition at line 143 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSCoordinates()

GLSCoordinates eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSCoordinates | ( |  | ) |

Create an instance of GLSCoordinates

Definition at line 159 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSExitCode()

GLSExitCode eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSExitCode | ( |  | ) |

Create an instance of GLSExitCode

Definition at line 127 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSParcelShop()

GLSParcelShop eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSParcelShop | ( |  | ) |

Create an instance of GLSParcelShop

Definition at line 135 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSPhonenumber()

GLSPhonenumber eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSPhonenumber | ( |  | ) |

Create an instance of GLSPhonenumber

Definition at line 151 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSUserCredentials()

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSUserCredentials | ( |  | ) |

Create an instance of GLSUserCredentials

Definition at line 119 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSWorkingDay()

GLSWorkingDay eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSWorkingDay | ( |  | ) |

Create an instance of GLSWorkingDay

Definition at line 47 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSWorkingDayBreaks()

GLSWorkingDay.Breaks eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSWorkingDayBreaks | ( |  | ) |

Create an instance of GLSWorkingDay.Breaks

Definition at line 191 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createGLSWorkingDayOpeningHours()

GLSWorkingDay.OpeningHours eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createGLSWorkingDayOpeningHours | ( |  | ) |

Create an instance of GLSWorkingDay.OpeningHours

Definition at line 183 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createHours()

Hours eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createHours | ( |  | ) |

Create an instance of Hours

Definition at line 167 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

## ◆ createSearchResults()

SearchResults eu.glsgroup.ws.parcelshopsearch.ObjectFactory.createSearchResults | ( |  | ) |

Create an instance of SearchResults

Definition at line 175 of file glsgroup/ws/parcelshopsearch/ObjectFactory.java.

The documentation for this class was generated from the following file:

- glsgroup/ws/parcelshopsearch/ObjectFactory.java